#ifndef XD3DBASETEXTURE_H
#define XD3DBASETEXTURE_H

#include "xasset.h"

class XGpuTextureFetchConstant;
class XD3DResource;

class XD3DBaseTexture : public XAsset
{
public:
    XD3DBaseTexture();
    ~XD3DBaseTexture();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    unsigned int mMipFlush;
    XGpuTextureFetchConstant* mFormat;
    XD3DResource* mResource;
};

#endif // XD3DBASETEXTURE_H
